<?php if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly 
	


if(
	(isset($_GET['page']) && $_GET['page']=='easy_ufdc')
	||
	( isset( $_POST['ufdc_fields_submitted'] ) && $_POST['ufdc_fields_submitted'] == 'submitted' )
){
	
function easy_ufdc_page() {

// Check the user capabilities

	global $easy_ufdc_error_default;

	if ( !current_user_can( 'administrator' ) ) {

		wp_die( __( 'You do not have sufficient permissions to access this page.','easy-upload-files-during-checkout' ) );

	}

	

// Save the field values

	if ( isset( $_POST['ufdc_fields_submitted'] ) && $_POST['ufdc_fields_submitted'] == 'submitted' ) {
		
		
		if ( 
			! isset( $_POST['eufdc_noce_action_field'] ) 
			|| ! wp_verify_nonce( $_POST['eufdc_noce_action_field'], 'eufdc_noce_action' ) 
		) {
		
		   _e('Sorry, your nonce did not verify.','easy-upload-files-during-checkout');
		   exit;
		
		} else {
				
	
			delete_option('easy_ufdc_use_style');
	
			$_POST['eufdc_email'] = (isset($_POST['eufdc_email'])?$_POST['eufdc_email']:false);
	
			$_POST['eufdc_billing_off'] = (isset($_POST['eufdc_billing_off'])?$_POST['eufdc_billing_off']:false);
	
			$_POST['eufdc_shipping_off'] = (isset($_POST['eufdc_shipping_off'])?$_POST['eufdc_shipping_off']:false);
	
			$_POST['eufdc_order_comments_off'] = (isset($_POST['eufdc_order_comments_off'])?$_POST['eufdc_order_comments_off']:false);
			
			$_POST['eufdc_secure_links'] = (isset($_POST['eufdc_secure_links'])?$_POST['eufdc_secure_links']:false);
			
			$_POST['eufdc_secure_upload'] = (isset($_POST['eufdc_secure_upload'])?$_POST['eufdc_secure_upload']:false);
	

	
			foreach ( $_POST as $key => $value ) {
	

	
				if ( get_option( $key ) != $value ) {
	
					update_option( $key, sanitize_eufdc_data($value) );
	
				} else {
	
					add_option( $key, sanitize_eufdc_data($value), '', 'no' );
	
				}
	
			}
		}

	}
	

global $easy_ufdc_page, $ufdc_custom, $eufdc_data, $ufdc_premium_link, $wufdc_dir, $wufdc_dir_url;
global $default_upload_dir, $wc_ufdc_upload_dir;
$wc_ufdc_upload_dir = stripslashes(get_option( 'woocommerce_ufdc_upload_dir', $default_upload_dir['basedir']));
$wc_ufdc_upload_dir = str_replace('\\', '/', $wc_ufdc_upload_dir);

//pree(stripos($wc_ufdc_upload_dir, 'ORDER_ID'));

$easy_ufdc_page = get_option( 'easy_ufdc_page' );
$easy_ufdc_page_checkout_refresh = get_option( 'easy_ufdc_page_checkout_refresh', 'yes' );

?>



<div class="wrap eufdc_settings_div <?php echo $ufdc_custom?'eufdc_pro_activated':''; ?>">

	<div id="icon-options-general" class="icon32"></div>
 
	<h2><?php echo $eufdc_data['Name'].' ('.$eufdc_data['Version'].($ufdc_custom?') Pro':')'); ?></h2>
    

    <h2 class="nav-tab-wrapper">
        <a class="nav-tab nav-tab-active"><?php _e("Settings",'easy-upload-files-during-checkout'); ?></a>
        <?php if($ufdc_custom): ?>
        <a class="nav-tab"><?php _e("Optional",'easy-upload-files-during-checkout'); ?></a>
        <?php endif; ?>
    </h2>          

	<?php if ( isset( $_POST['ufdc_fields_submitted'] ) && $_POST['ufdc_fields_submitted'] == 'submitted' ) { ?>

	<div id="message" class="updated fade"><p><strong><?php _e( 'Your settings have been saved.','easy-upload-files-during-checkout'); ?></strong></p></div>

	<?php } ?>


	<div class="postbox" style="float:left; width:100%;">
 		
		<form method="post" action="" id="ufdc_settings" class="nav-tab-content">
			<?php wp_nonce_field( 'eufdc_noce_action', 'eufdc_noce_action_field' ); ?>
			<input type="hidden" name="ufdc_fields_submitted" value="submitted">

			
            
			<div id="poststuff">

				
                
				<div style="float:left; width:100%;">

					

						<div class="inside ufdc-settings">

							<table class="form-table">

                                <tr>

    								<th>

    									<label for="easy_ufdc_caption"><b><?php _e( 'Caption','easy-upload-files-during-checkout'); ?></b>:</label>

    								</th>

    								<td>

                                        <textarea id="easy_ufdc_caption" style="width:50%; height:60px" name="easy_ufdc_caption" placeholder="<?php _e("Do you have something to attach?",'easy-upload-files-during-checkout'); ?>"><?php echo stripslashes(get_option( 'easy_ufdc_caption' )); ?></textarea>

    								</td>

    							</tr>                            

    							<tr>

    								<th>

    									<label for="easy_ufdc_page"><b><?php _e( 'Display on','easy-upload-files-during-checkout');?>:</b></label>

    								</th>

    								<td>

                                        <ul class="easy_ufdc_page_to_implement">
                                        
											<li class="eufdc_premium"><input type="radio" name="easy_ufdc_page" id="easy_ufdc_page_product" value="product" <?php if($easy_ufdc_page=='product') { echo 'checked="checked"'; } ?> />

                                            <label for="easy_ufdc_page_product">&nbsp;<?php _e("Product Page",'easy-upload-files-during-checkout'); ?></label>
                                            
                                            <?php $eufdc_product_page_positions = get_option( 'eufdc_product_page_positions', '' ); ?>
                                            <select name="eufdc_product_page_positions">
                                            	<option value="" <?php selected($eufdc_product_page_positions==''); ?>><?php _e('Default','easy-upload-files-during-checkout'); ?></option>
                                            	<option disabled="disabled" value="woocommerce_single_product_summary" <?php selected($eufdc_product_page_positions=='woocommerce_single_product_summary'); ?>>woocommerce_single_product_summary</option>
                                                <option disabled="disabled" value="woocommerce_before_add_to_cart_form" <?php selected($eufdc_product_page_positions=='woocommerce_before_add_to_cart_form'); ?>>woocommerce_before_add_to_cart_form</option>
                                                <option disabled="disabled" value="woocommerce_before_variations_form" <?php selected($eufdc_product_page_positions=='woocommerce_before_variations_form'); ?>>woocommerce_before_variations_form</option>
                                                <option value="woocommerce_before_add_to_cart_button" <?php selected($eufdc_product_page_positions=='woocommerce_before_add_to_cart_button'); ?>>woocommerce_before_add_to_cart_button</option>
                                                <option value="woocommerce_before_single_variation" <?php selected($eufdc_product_page_positions=='woocommerce_before_single_variation'); ?>>woocommerce_before_single_variation</option>
                                                <option value="woocommerce_single_variation" <?php selected($eufdc_product_page_positions=='woocommerce_single_variation'); ?>>woocommerce_single_variation</option>
                                                <option value="woocommerce_after_single_variation" <?php selected($eufdc_product_page_positions=='woocommerce_after_single_variation'); ?>>woocommerce_after_single_variation</option>
                                                <option value="woocommerce_after_add_to_cart_button" <?php selected($eufdc_product_page_positions=='woocommerce_after_add_to_cart_button'); ?>>woocommerce_after_add_to_cart_button</option>
                                                <option disabled="disabled" value="woocommerce_after_variations_form" <?php selected($eufdc_product_page_positions=='woocommerce_after_variations_form'); ?>>woocommerce_after_variations_form</option>
                                                <option disabled="disabled" value="woocommerce_after_add_to_cart_form" <?php selected($eufdc_product_page_positions=='woocommerce_after_add_to_cart_form'); ?>>woocommerce_after_add_to_cart_form</option>
                                                <option disabled="disabled" value="woocommerce_product_meta_start" <?php selected($eufdc_product_page_positions=='woocommerce_product_meta_start'); ?>>woocommerce_product_meta_start</option>
                                                <option disabled="disabled" value="woocommerce_product_meta_end" <?php selected($eufdc_product_page_positions=='woocommerce_product_meta_end'); ?>>woocommerce_product_meta_end</option>
                                                <option disabled="disabled" value="woocommerce_share" <?php selected($eufdc_product_page_positions=='woocommerce_share'); ?>>woocommerce_share</option>
                                            </select>
                            
                                            <a href="https://ibulb.wordpress.com/2019/02/21/woocommerce-single-product-page-visual-hook-guide/" target="_blank"><small><?php _e('Visual Hook Guide', 'easy-upload-files-during-checkout'); ?></small></a>
                                            

                                            </li>                                        

                                            <li><input type="radio" name="easy_ufdc_page" id="easy_ufdc_page_cart" value="cart" <?php if($easy_ufdc_page=='cart' || !$easy_ufdc_page) { echo 'checked="checked"'; } ?> />

                                            <label for="easy_ufdc_page_cart">&nbsp;<?php _e("Cart Page",'easy-upload-files-during-checkout'); ?></label>

                                            </li>



                                            <li><input type="radio" name="easy_ufdc_page" id="easy_ufdc_page_checkout" value="checkout" <?php if($easy_ufdc_page=='checkout'){ echo 'checked="checked"'; } ?> />

                                            <label for="easy_ufdc_page_checkout">&nbsp;<?php _e("Checkout Page",'easy-upload-files-during-checkout'); ?></label>

                                             </li>
                                             
    										 <li><input type="radio" name="easy_ufdc_page" id="easy_ufdc_page_checkout_notes" value="checkout_notes" <?php if($easy_ufdc_page=='checkout_notes'){ echo 'checked="checked"'; } ?> />

                                            <label for="easy_ufdc_page_checkout_notes">&nbsp;<?php _e("Checkout Page",'easy-upload-files-during-checkout').' > '._e("After Notes",'easy-upload-files-during-checkout'); ?></label>

                                             </li>                                             

                                        </ul>
                                        
                                        

    								</td>

    							</tr>
                                
                                <tr class="easy_ufdc_page_based_options <?php echo (in_array($easy_ufdc_page, array('checkout', 'checkout_notes'))?'':'hides'); ?>">
                                <th>
                                <label><b><?php _e('Refresh Page'); ?>:</b></label>
                                </th>
                                <td><ul>
                                        <li>
                                        <input type="radio" name="easy_ufdc_page_checkout_refresh" value="yes" id="easy_ufdc_page_checkout_refresh_yes" <?php checked( $easy_ufdc_page_checkout_refresh=='yes' ); ?> /><label for="easy_ufdc_page_checkout_refresh_yes">&nbsp;&nbsp;<?php _e('Yes'); ?></label><br />
<input type="radio" name="easy_ufdc_page_checkout_refresh" value="no" id="easy_ufdc_page_checkout_refresh_no" <?php checked( $easy_ufdc_page_checkout_refresh=='no' ); ?> /><label for="easy_ufdc_page_checkout_refresh_no">&nbsp;&nbsp;<?php _e('No'); ?></label><br /><br />

                                        <small><?php _e("Refresh Page After Every Upload: Use this option if any third-party JavaScript isn't working after uploading the files.",'easy-upload-files-during-checkout'); ?></small>
                                        </li>
                                        </ul></td>
                                </tr>

                                <tr>

    								<th>

    									<label for="easy_ufdc_caption"><b><?php _e( 'Error Message','easy-upload-files-during-checkout'); ?>:</b></label>

    								</th>

    								<td>

                                        <textarea id="easy_ufdc_error" style="width:50%; height:60px" name="easy_ufdc_error" placeholder="<?php echo $easy_ufdc_error_default; ?>"><?php echo stripslashes(get_option( 'easy_ufdc_error' )); ?></textarea>

    								</td>

    							</tr> 



                                



								<tr>

    								<th>

    									<label for="easy_ufdc_allowed_file_types"><b><?php _e( 'Allowed file types','easy-upload-files-during-checkout'); ?>:</b></label>

    								</th>

    								<td>
<?php
$mime = array_keys(get_allowed_mime_types());
$allowed_mime = array();
if(!empty($mime)){
	foreach($mime as $types){
		$types = explode('|', $types);
		$allowed_mime = array_merge($allowed_mime, $types);
	}
}

?>
<script type="text/javascript" language="javascript">
var contains = function(needle) {
    // Per spec, the way to identify NaN is that it is not equal to itself
    var findNaN = needle !== needle;
    var indexOf;

    if(!findNaN && typeof Array.prototype.indexOf === 'function') {
        indexOf = Array.prototype.indexOf;
    } else {
        indexOf = function(needle) {
            var i = -1, index = -1;

            for(i = 0; i < this.length; i++) {
                var item = this[i];

                if((findNaN && item !== item) || item === needle) {
                    index = i;
                    break;
                }
            }

            return index;
        };
    }

    return indexOf.call(this, needle) > -1;
};
var allowed_mime = [];
<?php 
	if(!empty($allowed_mime)){
		foreach($allowed_mime as $i=>$mime){
?>
allowed_mime[<?php echo $i; ?>] = '<?php echo $mime; ?>';
<?php			
		}
	}
	
?>	
jQuery(document).ready(function($){
	$('body').on('blur', 'input[name="easy_ufdc_allowed_file_types"]', function(){
		var str = $.trim($(this).val());
		//alert(str);
		if(str!=''){
			
			var chars = str.split(',');
			var all_good = true;
			$.each(chars, function(i, v){
				//console.log(v);
				if(all_good){
					all_good = contains.call(allowed_mime, v);					
				}
				
			});
			//console.log(all_good);
			if(all_good)
			$('#ufdc_settings pre').fadeOut();
			else
			$('#ufdc_settings pre').fadeIn();
		}
	});
	
	$('input[name="easy_ufdc_allowed_file_types"]:visible').eq(0).trigger('blur');
});

</script>
    									<input type="text" name="easy_ufdc_allowed_file_types" class="regular-text" value="<?php if(!get_option( 'easy_ufdc_allowed_file_types' )) { echo 'doc,txt'; } else { echo stripslashes(get_option( 'easy_ufdc_allowed_file_types' )); }?>"/><br />



    									<span class="description"><?php

    										echo __( 'Specify which file types are allowed for uploading, seperate by commas.','easy-upload-files-during-checkout');

    									?></span>
                                        <?php if(!defined('ALLOW_UNFILTERED_UPLOADS') || (defined('ALLOW_UNFILTERED_UPLOADS') && !ALLOW_UNFILTERED_UPLOADS)){ ?>
                                        <pre>Add the following line in your wp-config.php <br /><br /><strong>define( 'ALLOW_UNFILTERED_UPLOADS', true );</strong><br /><br />if you are allowing some files which are not<br />supported by <a href="https://codex.wordpress.org/Uploading_Files" target="_blank">WordPress by default</a>.<br /></pre>
                                        <?php } ?>

    								</td>

    							</tr>



                                <tr>

    								<th>

    									<label for="easy_ufdc_req"><b><?php _e( 'Make upload field required?','easy-upload-files-during-checkout'); ?></b></label>

    								</th>



    								<td>

                                        <input type="radio" name="easy_ufdc_req"  value="1" <?php if(get_option( 'easy_ufdc_req' ) && get_option( 'easy_ufdc_req' )==1) { echo 'checked="checked"'; } ?> />



                                        <label><?php _e("Yes",'easy-upload-files-during-checkout');?></label>

                                        <br />

                                        <input type="radio" name="easy_ufdc_req" value="0" <?php if(!get_option( 'easy_ufdc_req' ) || get_option( 'easy_ufdc_req' )!=1) { echo 'checked="checked"'; } ?> />



                                        <label><?php _e("No",'easy-upload-files-during-checkout');?></label>



                                        <br />

       									<span class="description">&nbsp;</span>

    								</td>

    							</tr>



								<tr>

    								<th>

    									<label for="easy_ufdc_max_uploadsize"><b><?php _e( 'Maximum upload size','easy-upload-files-during-checkout'); ?>:</b></label>

    								</th>

    								<td>

    									<input type="text" name="easy_ufdc_max_uploadsize" class="short" value="<?php if(!get_option( 'easy_ufdc_max_uploadsize' )) { echo ini_get('upload_max_filesize'); } else { echo stripslashes(get_option( 'easy_ufdc_max_uploadsize' )); }?>"/><br />



    									<span class="description"><?php

    										echo __( 'Specify maximum upload size for all files in MegaBytes.','easy-upload-files-during-checkout').' '.__('Cannot exceed max PHP upload size.','easy-upload-files-during-checkout').'<br>';

											echo __( 'Note: recommended max upload size below 8MB.','easy-upload-files-during-checkout');
											echo '<br />';
											echo 'upload_max_filesize '.__('is').' '.ini_get('upload_max_filesize').' '.__('and').' post_max_size '.__('is').' '.ini_get('post_max_size').' '.__('on your server','easy-upload-files-during-checkout');

    									?></span>

    								</td>

    							</tr>
								
                                <tr class="eufdc_premium igs">

                            		<th>

                                		<label for="wc_ufdc_upload_dir"><b><?php _e( 'Uploads Directory','easy-upload-files-during-checkout'); ?>:</b><br /></label>

                            		</th>

                            		<td>

<?php
	
	$order_id_based = $default_upload_dir['basedir'].'/wc-orders/ORDER_ID';										
										
										
?>
                                        <input name="woocommerce_ufdc_upload_dir" style="width:480px" type="text" id="wc_ufdc_upload_dir" value="<?php echo $wc_ufdc_upload_dir;?>" /> <?php if($ufdc_custom){ if(class_exists('ZipArchive')){ ?><a class="eufdc_download" href="admin.php?page=easy_ufdc&eufdc_zipper" title="<?php _e('Download complete directory archive','easy-upload-files-during-checkout'); ?>"><?php _e('Download','easy-upload-files-during-checkout'); ?></a><?php } }else{ ?><a class="eufdc_premium eufdc_download" title="<?php _e('Download complete directory archive is a premium feature','easy-upload-files-during-checkout'); ?>"><?php _e('Download','easy-upload-files-during-checkout'); ?></a><?php } ?>
                                       <br />
                                       <ul class="eufdc-wp-paths">
                                       <li>
                                       	<?php _e('Default','easy-upload-files-during-checkout'); ?>:
                                        <ul>
                                        
											<li class="<?php echo $wc_ufdc_upload_dir==$default_upload_dir['basedir']?'active':'';?>"><?php echo $default_upload_dir['basedir']; ?> - <a href="https://www.youtube.com/embed/Q_S1FwCIvOg" target="_blank"><?php _e('How it works?','easy-upload-files-during-checkout'); ?></a></li>
										</ul>                                            
                                       </li>
                                       <li>
                                       <?php _e('WooCommerce','easy-upload-files-during-checkout'); ?>: 
									   	<ul>
	                                        <li class="<?php echo $wc_ufdc_upload_dir==$order_id_based?'active':'';?>"><?php echo $order_id_based; ?> - <a href="https://www.youtube.com/embed/Z2Vxug5EM0Q" target="_blank"><?php _e('How it works?','easy-upload-files-during-checkout'); ?></a></li>
                                        </ul>
                                       </li>
                                       </ul>
                                       
<?php 
	if($wc_ufdc_upload_dir!=''){
		
		$wc_ufdc_upload_dir = explode('/', $wc_ufdc_upload_dir);
		if(!empty($wc_ufdc_upload_dir)){

			$nodes = $wc_ufdc_upload_dir;
		
?>	
<ul class="ufdc_upload_dir_nodes">
<?php
			$nodes_arr = array();
			for($d=0; $d<=count($nodes); $d++){
				
				

				$node_dir = '';
				for($di=0; $di<$d; $di++){
					$node_dir .= $nodes[$di].'/';
				}
				
				if($node_dir){
					$valid_status = is_dir($node_dir);
					$writable_status = is_writable($node_dir);
					$node_dir = str_replace(array('ORDER_ID'), array(''), $node_dir);
					$node_dir = str_replace(array('//'), array('/'), $node_dir);
					if(!in_array($node_dir, $nodes_arr)){
						$nodes_arr[] = $node_dir;
?>			
<li class="<?php echo ($valid_status?'valid_node':'invalid_node'); ?> <?php echo ($writable_status?'writable':'not_writable'); ?> <?php echo $wc_ufdc_upload_dir==$node_dir?'active':'';?>">
<?php 					
					echo $node_dir;
					
					
					
					echo '<div class="eufdc_legends">';
					echo '<span>'.($valid_status?'Valid Directory':'Invalid Directory').'</span>';
					echo '&nbsp;|&nbsp;<span class="writable_status">'.($writable_status?'':'Not').' Writable</span>';
					echo '</div>';

 ?>
</li>
<?php
					}
				}
			}
?>		
</ul>
<?php 
		}
	}
?>	
                                	</td>

                                </tr>

								<tr class="">

                                    <th>

                                        <label for="easy_ufdc_limit"><b><?php _e( 'Multiple files','easy-upload-files-during-checkout'); ?>:</b></label><br />



                                       

                                    </th>

                                    <td class="eufdc_premium">

                                        <input type="text" name="easy_ufdc_limit" class="regular-text" value="<?php if(!get_option( 'easy_ufdc_limit' )) { echo '1'; } else { echo stripslashes(get_option( 'easy_ufdc_limit' )); }?>"/><br />

                                        <span class="description"><?php

                                        echo __( 'Specify number of files allowed to upload (numbers only).','easy-upload-files-during-checkout');

                                        ?></span>

										
                                        <?php if($ufdc_custom): ?>
                                        
                                        <div class="prog_wrapper">
                                        
										<span class="prog_description"><?php

                                        echo __( 'Display all browse buttons at once or one after one?','easy-upload-files-during-checkout');

                                        ?></span>
                                        
                                        <ul>
                                        <li>

                                        <label for="easy_ufdc_prog_yes"><input type="radio" name="easy_ufdc_prog" id="easy_ufdc_prog_yes"  value="1" <?php if(get_option( 'easy_ufdc_prog' ) && get_option( 'easy_ufdc_prog' )==1) { echo 'checked="checked"'; } ?> /><?php _e("At once",'easy-upload-files-during-checkout');?></label>
                                        </li>
                                        <li>
                                        <label for="easy_ufdc_prog_no"><input type="radio" name="easy_ufdc_prog" id="easy_ufdc_prog_no" value="0" <?php if(!get_option( 'easy_ufdc_prog' ) || get_option( 'easy_ufdc_prog' )!=1) { echo 'checked="checked"'; } ?> /><?php _e("One at a time",'easy-upload-files-during-checkout');?></label>
                                        </li>
                                        </ul>
                                        </div>
                                        
                                        <?php endif; ?>
                                    </td>

                                </tr>                         

                                <tr class="">

                            		<th>

                                		<label for="woocommerce_ufdc_max_wh"><b><?php _e( 'Dimensions Check','easy-upload-files-during-checkout'); ?>:</b><br />

                                            <small>*<?php _e("For Images Only",'easy-upload-files-during-checkout');?></small>

                                        </label>

                            		</th>

                            		<td class="eufdc_premium">

                            			<span class="min_max"><?php _e("Min Width",'easy-upload-files-during-checkout');?>:</span> <input type="text" name="woocommerce_ufdc_min_w" class="short min_max" value="<?php if(!get_option( 'woocommerce_ufdc_min_w' )) { echo ''; } else { echo stripslashes(get_option( 'woocommerce_ufdc_min_w' )); }?>"/>&nbsp;



                                        <span class="min_max"><?php _e("Max Width",'easy-upload-files-during-checkout');?>:</span> <input type="text" name="woocommerce_ufdc_max_w" class="short min_max" value="<?php if(!get_option( 'woocommerce_ufdc_max_w' )) { echo ''; } else { echo stripslashes(get_option( 'woocommerce_ufdc_max_w' )); }?>"/><br />



                                        <span class="min_max"><?php _e("Min Height",'easy-upload-files-during-checkout');?>:</span> <input type="text" name="woocommerce_ufdc_min_h" class="short min_max" value="<?php if(!get_option( 'woocommerce_ufdc_min_h' )) { echo ''; } else { echo stripslashes(get_option( 'woocommerce_ufdc_min_h' )); }?>"/>&nbsp;



                                        <span class="min_max"><?php _e("Max Height",'easy-upload-files-during-checkout');?>:</span> <input type="text" name="woocommerce_ufdc_max_h" class="short min_max" value="<?php if(!get_option( 'woocommerce_ufdc_max_h' )) { echo ''; } else { echo stripslashes(get_option( 'woocommerce_ufdc_max_h' )); }?>"/><br />

                             

                                        <span class="description"><?php

                                        echo __( 'Leave empty for no restrictions.','easy-upload-files-during-checkout');

                                        ?></span>                                       

                                	</td>

                                </tr>	
                                
   									              
                                
                                
                                <tr class="">
                                	<th>

                                		<label for="woocommerce_ufdc_upload_anim"><b><?php _e( 'Loading Animation','easy-upload-files-during-checkout'); ?>:</b><br /></label>

                            		</th>
									<td class="eufdc_premium">
<?php

if(!get_option('eufdc_animations', false)){
	$animations = 'https://plugins.svn.wordpress.org/easy-upload-files-during-checkout/assets/animation/';
	$response = wp_remote_get( $animations );
	if ( is_array( $response ) ) {
	  $header = $response['headers']; // array of http header lines
	  $body = $response['body']; // use the content
		  
		$doc = new DOMDocument();
		$doc->loadHTML($body);
		
		$links = array();
		foreach($doc->getElementsByTagName('a') as $elem) {
			if($elem->hasAttribute('href') && preg_match('/.*\.gif$/i', $elem->getAttribute('href'))) {
				$links []= $elem->getAttribute('href');
			}
		}  
		
		if(!empty($links)){
			foreach($links as $link){
				@copy($animations.$link, $wufdc_dir.'img/'.$link);
			}
			update_option('eufdc_animations', true);
		}
	}		
}
	$selected_anim = $wufdc_dir.'img/'.get_option( 'woocommerce_ufdc_upload_anim', 'default.gif');
	
	if(!file_exists($selected_anim))
	$selected_anim = $wufdc_dir.'img/default.gif';
	
	$selected_anim = str_replace($wufdc_dir, $wufdc_dir_url, $selected_anim);
?>                                    
                                    <a class="woocommerce_ufdc_upload_anim">
                                    <img src="<?php echo $selected_anim; ?>" />
                                    <b><?php _e('Change', 'easy-upload-files-during-checkout'); ?></b>
                                    </a>
                                    <?php 
										
										
								
										$anims = glob($wufdc_dir."img/*.gif");
										//echo $wufdc_dir_url;
										if(!empty($anims)){
											
											if(count($anims)==1){
												update_option('eufdc_animations', false);
											}
?>
<ul class="eufdc_anims">
<?php											
											echo '';
											foreach ($anims as $filename) {
?>
<li data-name="<?php echo basename($filename); ?>" <?php echo (get_option( 'woocommerce_ufdc_upload_anim', '')==basename($filename)?'class="selected"':''); ?>><img src="<?php echo str_replace($wufdc_dir, $wufdc_dir_url, $filename); ?>" /></li>
<?php												
											} 
?>
</ul>
<?php											
											echo '';
										}
									?>
										
                                        
                                  		
                                        <input name="woocommerce_ufdc_upload_anim" type="hidden" id="woocommerce_ufdc_upload_anim" value="<?php if(!get_option( 'woocommerce_ufdc_upload_anim' )) { echo 'default.gif'; } else { echo get_option( 'woocommerce_ufdc_upload_anim' ); }?>" />
                                       
                                       

                                	</td>                                    
                                </tr>                  													

                            
								<tr>

									<td colspan="2" style="padding:0">

										<p class="submit" style="float:left"><input type="submit" name="Submit" class="button-primary" value="<?php _e( 'Save Changes','easy-upload-files-during-checkout'); ?>" /></p>

									</td>

								</tr>

							</table>

                            <div class="optional">

                            <h3><?php _e("Optional",'easy-upload-files-during-checkout'); ?></h3>

                            	<fieldset>

                                	<ul>
									<?php echo (!$ufdc_custom?'<li><a style="color:yellow; float:right; font-weight:normal;" href="'.$ufdc_premium_link.'" target="_blank">'. __("Go Premium",'easy-upload-files-during-checkout') . '</a></li>':''); ?>
                                    <li>

                                	<input id="eufdc_email" name="eufdc_email" type="checkbox" value="1" <?php echo(get_option('eufdc_email', 0)?'checked="checked"':''); ?> /><label for="eufdc_email"><?php _e("Send Attachments in Email",'easy-upload-files-during-checkout'); ?></label>

                                    </li>

                                    <li <?php echo(get_option('eufdc_billing_off', 0)?'class="selected"':''); ?>>

                                	<input class="eufdc_checkout_options" id="eufdc_billing_off" name="eufdc_billing_off" type="checkbox" value="1" <?php echo(get_option('eufdc_billing_off', 0)?'checked="checked"':''); ?> /><label for="eufdc_billing_off"><?php _e('Billing Details','easy-upload-files-during-checkout'); ?> <strong><?php _e('On','easy-upload-files-during-checkout'); ?></strong>/<strong><?php _e('Off','easy-upload-files-during-checkout'); ?></strong></label>

                                    </li>

                                    <li <?php echo(get_option('eufdc_shipping_off', 0)?'class="selected"':''); ?>>

                                	<input class="eufdc_checkout_options" id="eufdc_shipping_off" name="eufdc_shipping_off" type="checkbox" value="1" <?php echo(get_option('eufdc_shipping_off', 0)?'checked="checked"':''); ?> /><label for="eufdc_shipping_off"><?php _e('Shipping Details','easy-upload-files-during-checkout'); ?> <strong><?php _e('On','easy-upload-files-during-checkout'); ?></strong>/<strong><?php _e('Off','easy-upload-files-during-checkout'); ?></strong></label>

                                    </li>

                                    <li <?php echo(get_option('eufdc_order_comments_off', 0)?'class="selected"':''); ?>>

                                	<input class="eufdc_checkout_options" id="eufdc_order_comments_off" name="eufdc_order_comments_off" type="checkbox" value="1" <?php echo(get_option('eufdc_order_comments_off', 0)?'checked="checked"':''); ?> /><label for="eufdc_order_comments_off"><?php _e("Order Comments",'easy-upload-files-during-checkout'); ?> <strong><?php _e('On','easy-upload-files-during-checkout'); ?></strong>/<strong><?php _e('Off','easy-upload-files-during-checkout'); ?></strong></label>

                                    </li>
                                    
                                    
                                      <li <?php echo(get_option('eufdc_secure_links', 0)?'class="selected"':''); ?>>

                                	<input class="eufdc_checkout_options" id="eufdc_secure_links" name="eufdc_secure_links" type="checkbox" value="1" <?php echo(get_option('eufdc_secure_links', 0)?'checked="checked"':''); ?> /><label for="eufdc_secure_links"><?php _e("Secure File Links",'easy-upload-files-during-checkout'); ?> <strong><?php _e('Off','easy-upload-files-during-checkout'); ?></strong>/<strong><?php _e('On','easy-upload-files-during-checkout'); ?></strong></label>

                                    </li>
                                    
                                    
									<li <?php echo(get_option('eufdc_secure_upload', 0)?'class="selected"':''); ?>>

                                	<input class="eufdc_checkout_options" id="eufdc_secure_upload" name="eufdc_secure_upload" type="checkbox" value="1" <?php echo(get_option('eufdc_secure_upload', 0)?'checked="checked"':''); ?> /><label for="eufdc_secure_upload"><?php _e("Upload Files After Login/Register",'easy-upload-files-during-checkout'); ?> <strong><?php _e('Off','easy-upload-files-during-checkout'); ?></strong>/<strong><?php _e('On','easy-upload-files-during-checkout'); ?></strong></label>

                                    </li>                                    

                                                                  

                                    </ul>

                                </fieldset>

                            </div>

						</div>

					</div>

				

			</div>

		</form>

<?php if($ufdc_custom): ?>
		<form method="post" action="" id="optional_settings" class="nav-tab-content hide">
        <input type="hidden" name="ufdc_optional_fields_submitted" value="submitted">
                
        <?php wp_nonce_field( 'eufdc_optional_noce_action', 'eufdc_optional_noce_action_field' ); ?>
        
        
        
        
        
        <br />
        <div class="wc_os_notes"><?php echo __('Select from the following products to restrict upload fields display.', 'easy-upload-files-during-checkout').' '.__('By default it is enabled for products.', 'easy-upload-files-during-checkout'); ?></div>
        
        
        <?php
            $products = eufdc_get_products();
            
            if(!empty($products)){
        ?>
        <table border="0">
        <thead>
        <th><?php _e('Enable/Disable', 'easy-upload-files-during-checkout'); ?></th>
        <th><?php _e('Product Names', 'easy-upload-files-during-checkout'); ?></th>
        <th><?php _e('Actions', 'easy-upload-files-during-checkout'); ?></th>
        </thead>
        <tbody>
        <?php	
                
				$eufdc_optional = get_option('eufdc_optional', array());
				
				
                foreach($products as $prod){
                $product = wc_get_product($prod->ID);
                
                $ticked = (is_array($eufdc_optional['allowed_products']) && in_array($prod->ID, $eufdc_optional['allowed_products']));
        
        ?>
        
        <tr>
        <td><input id="wip-<?php echo $prod->ID; ?>" <?php checked($ticked); ?> type="checkbox" name="eufdc_optional[allowed_products][]" value="<?php echo $prod->ID; ?>" /></td>
        <td><label for="wip-<?php echo $prod->ID; ?>"><?php echo $prod->post_title.' '.($product->get_price()?get_woocommerce_currency_symbol().$product->get_price():''); ?></label>
        </td>
        <td><a href="<?php echo get_edit_post_link($prod->ID); ?>" target="_blank"><?php _e('Edit'); ?></a> - <a href="<?php echo get_permalink($prod->ID); ?>" target="_blank"><?php _e('View'); ?></a>
        </td>
        </tr>
        <?php
                }
        ?>
        </tbody>
        </table>
        <?php    
            }
        ?>		
        <input type="hidden" name="eufdc_optional[allowed_products][]" value="0" />
        
        <p class="submit"><input type="submit" value="<?php _e('Save Changes','easy-upload-files-during-checkout'); ?>" class="button button-primary" id="eufdc-optional-submit" name="eufdc-optional-submit"></p>
        
        <?php //pree(eufdc_custom_upload_dir()); ?>
        
        </form>


</div>
</div>
<?php endif; ?>
<?php }
}